#include "Register_mr32.h"


#pragma DATA_SEG SHORT _DATA_ZEROPAGE
unsigned int iCounter;
unsigned int ADC_CH0;

#pragma DATA_SEG DEFAULT

/****************     M A I N      *****************/
void main(void) 
{
CONFIG = 0x91;    // COPD=1 (cop disabled)
DDRA   = 0xFF;    // all outputs
DDRB   = 0;
DDRE   = 0xFF;

SCBR   = 0x02;   // Baudrate 9600
SCC1   = 0x40;
SCC2   = 0x0C;   // RX + TX enabled

ADCLK  = 0x70;    // 8 Bit Version
 	  	  
	for (;;)
	{
	ADSCR = 0;
	
	iCounter = 0;
	while(iCounter < 4000) iCounter++;
	
	ADC_CH0   = ADRH;
	PORTA     = (char) ADC_CH0;
	
	SCS1  = SCS1;     // read first status register
	SCDR  = PORTA;
	
	PORTE ^= 0xFF;    // PORTE blinking
	
 	}/* end  loop*/
}

/****************** end main ***********************/



